background = Image.load("background6.png")
intro = Image.load("intro.png")
reticule = Image.load("reticule.png")
startscreenimagh = Image.load("ecrandefin.png")
ammo6 = Image.load("arme-6.png")
ammo5 = Image.load("arme-5.png")
ammo4 = Image.load("arme-4.png")
ammo3 = Image.load("arme-3.png")
ammo2 = Image.load("arme-2.png")
ammo1 = Image.load("arme-1.png")
ammo0 = Image.load("arme-0.png")
enemy1 = Image.load("enemi29.png")
enemy2 = Image.load("enemi30.png")
enemy3 = Image.load("enemi31.png")
enemy4 = Image.load("enemi32.png")
gunempty = Sound.load("Gun_Empty.wav")
gunreload = Sound.load("Gun_Clip.wav")
glassbreak = Sound.load("glassbreak.wav")
gunshot = Sound.load("Gun_Shot.wav")
hitmark = Image.load("whaou.png")
shothit = Sound.load("ouch.wav")
heart = Image.load("casquette.png")
bullethole = Image.load("loupe.png")
count = Timer.new()
red = Color.new(255,0,0)


function delay(seconds)
	time=seconds*60
	for i=1, time do
		screen.waitVblankStart()
	end
end 

function gameover()
 while not Controls.read():start() do
	screen:blit(0,0,startscreenimagh)
	screen.flip()
	delay(4)
	dofile("script.lua")
end
 Controls.waitpadup()
 x=250
 y=150
  math.randomseed(os.difftime())
 enemypos = math.random(4)
 oldpos=enemypos
 score=0
 count:stop()
 count:reset()
 count:start()
end 

function Controls.waitpadup()
   pad=Controls.read()
   while pad:select() or pad:start() or pad:l() or pad:r() or pad:triangle() or pad:circle() or pad:cross() or pad:square() do
      screen.waitVblankStart()
      pad=Controls.read()
   end
end

function collide(Obj1X, Obj1Y, Obj1MX, Obj1MY, Obj2X, Obj2Y, Obj2MX, Obj2MY) --thanks to DiabloTerrorGF for this
Obj1MidX=Obj1X+(Obj1MX/2)
Obj1MidY=Obj1Y+(Obj1MY/2)
Obj2MaxX=Obj2X+Obj2MX
Obj2MaxY=Obj2Y+Obj2MY
if Obj1MidX<Obj2MaxX+1 and Obj1MidX>Obj2X-1 and Obj1MidY<Obj2MaxY+1 and Obj1MidY>Obj2Y-1 then
return true
end
return false
end 

function mainmenu()
 while not Controls.read():cross() do
	screen:blit(0, 0, intro, 0, 0, intro:width(), intro:height(), false)
	screen.waitVblankStart()
	screen.flip()
 end
 Controls.waitpadup()
end	

mainmenu()

System.usbDiskModeActivate()
x=250
y=150
math.randomseed(os.difftime())
enemypos = math.random(6)
oldpos=enemypos
score=0
count:stop()
count:reset()
count:start()
G=F-40
while true do
	wasshot=false
	hit=false
	screen:blit(0, 0, background, 0, 0, background:width(), background:height(), false)
	screen:blit(5,210,heart)
	if curammo == 6 then
		screen:blit(3,2,ammo6)
	end
	if curammo == 5 then
		screen:blit(3,2,ammo5)
	end
	if curammo == 4 then
		screen:blit(3,2,ammo4)
	end
	if curammo == 3 then
		screen:blit(3,2,ammo3)
	end
	if curammo == 2 then
		screen:blit(3,2,ammo2)
	end
	if curammo == 1 then
		screen:blit(3,2,ammo1)
	end
	if curammo <=0 then
		screen:blit(3,2,ammo0)
	end
	pad=Controls.read()
	dx = pad:analogX()
    	if math.abs(dx) > 64 then
     	   ecart_x = (dx+32)/13
     	   x = x + ecart_x
    	end
    	dy = pad:analogY()
    	if math.abs(dy) > 64 then
        	ecart_y = (dy+32)/13
        	y = y + ecart_y
    	end
    	if pad:up() then
        	y=y-10
    	end
    	if pad:down() then
        	y=y+10
    	end
    	if pad:right() then
        	x=x+10
    	end
    	if pad:left() then
        	x=x-10
    	end
    	if x > 480 then
        	x = 480
    	elseif x < 0 then
        	x = 0
    	end
    	if y > 272 then
        	y = 272
    	elseif y < 0 then
        	y = 0
    	end
	
	if pad:cross() or pad:circle() or pad:r() then
		if curammo<=0 then
			gunempty:play()
		end	
		if curammo>0 then
			gunshot:play()
			curammo=curammo-1
			if enemypos==1 and collide(x,y,reticule:width(),reticule:height(),212,50,enemy1:width(),enemy1:height()) then
				score=score+100
				hit=true
			end
			if enemypos==2 and collide(x,y,reticule:width(),reticule:height(),115,185,enemy2:width(),enemy2:height()) then
				score=score+100
				hit=true
			end
			if enemypos==3 and collide(x,y,reticule:width(),reticule:height(),325,180,enemy4:width(),enemy3:height()) then
				score=score+100
				hit=true
			end
			if enemypos==4 and collide(x,y,reticule:width(),reticule:height(),357,95,enemy3:width(),enemy4:height()) then
				score=score+100
				hit=true
			end
			

	end
		Controls.waitpadup()
	end
	if pad:l() then
		gunreload:play()
		curammo=6
		Controls.waitpadup()
	end
	if pad:start() then
		Controls.waitpadup()
		while not Controls.read():start() do
			screen.waitVblankStart()
 		end
		Controls.waitpadup()
		count:stop()
		count:reset()
		count:start()
	end
	if pad:square() then
		screen:save("screenshot/screenshot"..sccnt..".png")
		sccnt=sccnt+1
	end
	if enemypos==1 then
		screen:blit(212,50,enemy1)
	end
	if enemypos==2 then
		screen:blit(115,185,enemy2)
	end
	if enemypos==3 then
		screen:blit(325,180,enemy3)
	end
	if enemypos==4 then
		screen:blit(357,95,enemy4)
	
	end
	screen:print(28,215, "x"..lives,Color.new(0,0,0))	
	screen:blit(x,y,reticule)
	if hit==true then
		screen:blit(x-18,y-25,hitmark)
		count:stop()
		count:reset()
		count:start()
	end
	if count:time() > G then
		gunshot:play()
		glassbreak:play()
		wasshot=true
		lives=lives-1
		screen:blit(math.random(50,300),math.random(30,150),bullethole)
	end
	screen.waitVblankStart()
	screen.flip()
	if hit==true then
		shothit:play()
		screen.waitVblankStart(14)
		enemypos=math.random(4)
		while oldpos == enemypos do
			enemypos=math.random(4)
		end
		oldpos=enemypos
	end
	if wasshot==true then
		screen.waitVblankStart(13)
		count:stop()
		count:reset()
		count:start()
		enemypos=math.random(4)
		while oldpos == enemypos do
			enemypos=math.random(4)
	end
	oldpos=enemypos
	end
	if lives<0 then
		gameover()
	end
	if score==1000 then
		dofile("8.lua")
	end
		
end		